CURLOPT_CONNECTTIMEOUT_MS(3)

NAME
CURLOPT_CONNECTTIMEOUT_MS - timeout for the connect phase

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_CONNECTTIMEOUT_MS,
                          long timeout);

DESCRIPTION
Pass a long. It should contain the maximum time in milliseconds that you allow the connection phase to the server to take. This only limits the connection phase, it has no impact once it has connected. Set to zero to switch to the default built-in connection timeout - 300 seconds. See also the CURLOPT_TIMEOUT_MS(3) option.

In unix-like systems, this might cause signals to be used unless CURLOPT_NOSIGNAL(3) is set.

If both CURLOPT_CONNECTTIMEOUT(3) and CURLOPT_CONNECTTIMEOUT_MS(3) are set, the value set last will be used.

The "connection phase" is considered complete when the requested TCP, TLS or QUIC handshakes are done.

DEFAULT
300000

PROTOCOLS
All

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  curl_easy_setopt(curl, CURLOPT_URL, "https://example.com");

  /* complete connection within 10000 milliseconds */
  curl_easy_setopt(curl, CURLOPT_CONNECTTIMEOUT_MS, 10000L);

  curl_easy_perform(curl);
}

AVAILABILITY
Always

RETURN VALUE
Returns CURLE_OK

SEE ALSO
CURLOPT_CONNECTTIMEOUT(3), CURLOPT_TIMEOUT(3), CURLOPT_LOW_SPEED_LIMIT(3),